import ReconnectingWebSocket from "reconnecting-websocket";
import { NetworkAdapter } from "../types";
import { Serialization } from "./serialization";
declare type Params = {
    serialization?: Serialization;
    url: string;
    _socket?: ReconnectingWebSocket;
};
export * from "./memoryServer";
export { runWebsocketServer } from "./server";
export declare function makeWsProtocolAdapter(params: Params): {
    adapter: NetworkAdapter<any>;
    auth: (token: string) => void;
};
