/// <reference types="node" />
import { Server as HttpServer } from "http";
import { Serialization } from "./serialization";
declare type Params = {
    initialData: {
        [kind: string]: {
            [id: string]: unknown;
        };
    };
    serialization?: Serialization;
} & ({
    port: number;
    server?: undefined;
} | {
    port?: undefined;
    server: HttpServer;
});
export declare function runMemoryServer(params: Params): void;
export {};
