"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
function makeReactMock() {
    let contextValue = "missing-provider";
    const reactStub = Object.assign({}, react_1.default, { createContext: () => ({}), useCallback: f => f, useContext: () => contextValue, useEffect: () => { }, useReducer: (_, state) => [state, () => { }] });
    return Object.assign({}, reactStub, { _setContextValue: (val) => {
            contextValue = val;
        } });
}
exports.makeReactMock = makeReactMock;
var mocks_1 = require("../mocks");
exports.makeWindowMock = mocks_1.makeWindowMock;
exports.networkMock = mocks_1.networkMock;
//# sourceMappingURL=mocks.js.map